.. _cmd-breakpoint:

breakpoint - launch debug mode
==============================

Synopsis
--------

.. synopsis::

    breakpoint

Description
-----------

``breakpoint`` is used to halt a running script and launch an interactive debugging prompt.

For more details, see :ref:`Debugging fish scripts <debugging>` in the ``fish`` manual.

There are no parameters for ``breakpoint``.
